#!/usr/bin/env bash

# Disable Xorg screensaver
xset -dpms &
xset s off &

# Disable beeper
xset -b &

# merge Xresources
xrdb -merge ~/.Xresources &

# xrandr settings
~/scripts/bin/setup_displays

# PolicyKit Authentication Agent - Gnome
/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 &
#
# bar
~/.config/polybar/launch.sh &

# Notifications
dunst &

# vpn
mullvad-vpn &

# logi settings
solaar --window=hide &

# caffeine
caffeine start &

# mega cloud
megasync &

# compositor
picom --config ~/.picom.conf &

# NetworkManager applet
nm-applet &

# wallpapers
nitrogen --restore &

# Dropbox
dropbox &
# ~/.dropbox-dist/dropboxd &

# firewall
opensnitch-ui &

# keyboard layout switcher
setxkbmap -layout us,ru -option 'grp:alt_space_toggle'

# lockscreen
xss-lock --transfer-sleep-lock -- i3lock --nofork

# archive commands
# xinput --set-prop "pointer:Logitech MX Ergo Multi-Device Trackball " 'libinput Accel Speed' -0.2
# xbacklight -set 90 & # only for intel
# blueman-applet &
# xfce4-power-manager &
